# @rxap/open-api
> Provides the functionality to create DataSource and RemoteMethod instances from an OpenAPI config.

[![npm version](https://img.shields.io/npm/v/@rxap/open-api?style=flat-square)](https://www.npmjs.com/package/@rxap/open-api)
[![commitizen friendly](https://img.shields.io/badge/commitizen-friendly-brightgreen.svg?style=flat-square)](https://commitizen.github.io/cz-cli/)
[![styled with prettier](https://img.shields.io/badge/styled_with-prettier-ff69b4.svg?style=flat-square)](https://github.com/prettier/prettier)
![Libraries.io dependency status for latest release, scoped npm package](https://img.shields.io/librariesio/release/npm/@rxap/open-api)
![npm](https://img.shields.io/npm/dm/@rxap/open-api)
![NPM](https://img.shields.io/npm/l/@rxap/open-api)

- [Installation](#installation)

# Installation

**Add the package to your workspace:**
```bash
yarn add @rxap/open-api
```
**Install peer dependencies:**
```bash
yarn add @angular/common@^16.2.12 @angular/core@^16.2.12 @rxap/config@^16.0.2-dev.0 @rxap/data-source@^16.2.0-dev.1 @rxap/environment@^16.1.1-dev.0 @rxap/mixin@^16.0.2-dev.0 @rxap/remote-method@^16.0.2-dev.0 @rxap/rxjs@^1.1.2-dev.0 @rxap/utilities@^16.2.0-dev.1 rxjs@^7.8.1 
```
